import { env } from "@/env/server"

import type { LangParams, PageArgs } from "@/types/params"

export async function generateMetadata(props: PageArgs<LangParams>) {
  const params = await props.params;
  return {
    robots: {
      index: env.isLangLive(params.lang),
      follow: env.isLangLive(params.lang),
    },
  }
}

export default function HotelReservationLayout({
  children,
}: React.PropsWithChildren) {
  return <>{children}</>
}
